%------------------------------------------------------------------------
%|   capturaGrafInf
%------------------------------------------------------------------------
%|      Script que captura todos los parmetros de la grfica inferior
%-------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%-------------------------------------------------------------------------

% 1.- Captura de Parmetros de la grfica inferior
%-------------------------------------------------

%%%%%%%% Checkboxes
grafActivas(pINF) = get(graf(pINF),'value');

%%%%% Desplegables
if get(verSignalLab,'Value'),
    obsv(pINF) = get(ptoObsv(pINF,2),'value');
     if obsv(pINF) < 6, obsv(pINF) = obsv(pINF)+1;
    else
       switch obsv(pINF),           
           case 6, obsv(pINF) = 14;
           case 7, obsv(pINF) = 12;           
        end;    
    end;        
else
   obsv(pINF)  = get(ptoObsv(pINF,1),'value');
end;
verF(pINF)  = get(verFreq(pINF),'value')-1;
aux = ['b'; 'r'; 'g'; 'y'; 'c'; 'w'; 'k';];
color(pINF) = aux(get(colores(pINF),'value'));

%%%%% Botones Circulares
eje=enfocaEje(grafActivas, 0);
if get(radioBut(pINF,2),'value'), grid on;
else, grid off; end;   
if get(radioBut(pINF,1),'value'), 
   set(eje,'nextplot','add');
else, 
   set(eje,'nextplot','replace');
end;

%%%%% Si no es visible la barra deslizante
%if get(barraTrama,'Visible')=='off',
%    capturaBitsTrama;   
%end;  