function [OK] = validaMetodo(metodo)

%-------------------------------------------------------------------------
% function [ERROR] = validaMetodo(metodo)
%-------------------------------------------------------------------------
%  Funcin que comprueba que el mtodo de generacin de cdigos
% de redundancia cclica es vlida
%-------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%-------------------------------------------------------------------------

ERROR =  ((isempty(metodo)) | ...
           ~((strcmp(metodo,'hamming') | ...
            strcmp(metodo,'cyclic') | ...
            strcmp(metodo,'bch') | ...
             strcmp(metodo,'rs'))));        
        
OK = ~ERROR;
          
