%------------------------------------------------------------------------
%|   enviaFichero
%------------------------------------------------------------------------
%|      Script que realiza simula la accin de transmitir texto
%-------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%-------------------------------------------------------------------------

parametros =[f(pFS)            , f(pRB); 
             Entrelazado(pFILA), Entrelazado(pCOL);
             CRC(pTRAMO)       , CRC(pCODE);
             IQ(pFASE)         , f(pFI)];
           
if exist([ruta 'texto.tx']),           
   Transmisor(ruta, 'texto.tx', metodoCRC, IQ(pROLLOFF), ...
                              IQ(pDESV), IQ(pPOT), IQ(pS_N), parametros);
else
   errordlg('ERROR A NIVEL DE APLICACIN DEL TX: debe introducir texto - envaFichero()');
   break;
end;
clear parametros

