%------------------------------------------------------------------------
%|  	creaMarcos
%------------------------------------------------------------------------
%|      Script que genera todos los marcos de la GUI del modulador BPSK
%------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%------------------------------------------------------------------------


%  1.- Creacin de Marcos
%##########################
%       1.1.- Poscin de los marcos
%-----------------------------------
%      Left , Bottom, Width, Height
pos = [0.68,  0,      0.32,  0.39]; % Posicin del marco ms bajo
ancho = [0.213, 0.29, 0.108, 0];        % Anchos de los marcos
          
%       1.2.- Ttulos de los Marcos
%----------------------------------
nombre = {' VISUALIZACIN  '
          ' RECEPTOR   BPSK'
          ' TRANSMISOR BPSK'
          'PARAMETROS GENERALES'};       
          
%       1.3.- Creacin de todos los marcos          
%-----------------------------------------       
for k = 1:size(nombre,1),   
   uicontrol('Style','frame', ...
        'Units','normalized', ...
        'Position',pos, ...
        'BackgroundColor',[.7 .7 .7]);
     
    uicontrol('Style','text', ...
	     'Units','normalized', ...
        'Position',pos, ...
        'String',char(nombre(k)), ...
        'FontName','Arial Black',...
        'FontWeight','normal',...
        'FontAngle','italic',...
        'Foregroundcolor',[0.5020,0,0],...
        'BackgroundColor',[.7 .7 .7]);  
    pos = [pos(1,1), pos(1,2)+pos(1,4)+0.001, pos(1,3), ancho(k)];
end;

% 2.- Marco Inferior
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Style','frame', ...    
        'Units','normalized', ...
        'Position',[0  0 .68 .038], ...
        'BackgroundColor',[.7 .7 .7]);
    
% 3.- Eliminamos variables intiles
%##################################
clear ancho pos nombre