% Script for testing PAM generator
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all, clc, close all


% 1.- Parameters
%----------------
Td          = 1/600;
samplesBit  = 10; % Oversamplir coeficiente: Rb/fs
bitsWord = [1,2,3];  % Bits per Word: determine number of levels of PAM

% 2.- Input Secuence
%--------------------
bitSeq = randn(1,600)>0; 


% 3.- PAM generation
%--------------------
PAM = cell(3,1);
for k=1:length(bitsWord),    
    aux = [];
    aux =    PAMgen(bitSeq, bitsWord(k), samplesBit);
    PAM{k} = aux;
end;
    
% 4.- Representing results
%-------------------------
for k=1:length(bitsWord), 
 eyediagram(PAM{k},2*k.*samplesBit,50*k.*Td,2,'r');  
 %figure(k+1);
 Texto = sprintf('PAM of %d levels',2^bitsWord(k));
 title(Texto);
end;


 
 



