%------------------------------------------------------------------------
%|   capturaGrafSup
%------------------------------------------------------------------------
%|      Script que captura todos los parmetros de la grfica superior
%-------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%-------------------------------------------------------------------------

% 1.- Captura de Parmetros de la grfica superior
%-------------------------------------------------

%%%%%%%% Checkbox
grafActivas(pSUP) = get(graf(pSUP),'value');

%%%%% Desplegables

if get(verSignalLab,'value'),
    obsv(pSUP) = get(ptoObsv(pSUP,2),'value');
    if obsv(pSUP) < 6, obsv(pSUP) = obsv(pSUP)+1;
    else
       switch obsv(pSUP),           
           case 6, obsv(pSUP) = 14;
           case 7, obsv(pSUP) = 12;           
        end;    
    end;        
else
   obsv(pSUP)  = get(ptoObsv(pSUP,1),'value');
end;
verF(pSUP)  = get(verFreq(pSUP),'value')-1;
aux = ['b'; 'r'; 'g'; 'y'; 'c'; 'w'; 'k';];
color(pSUP) = aux(get(colores(pSUP),'value'));

%%%%% Botones Circulares
eje=enfocaEje(grafActivas, 1); 
if get(radioBut(pSUP,2),'value'), grid on;
else, grid off; end;
if get(radioBut(pSUP,1),'value'), 
   set(eje,'nextplot','add');
else, 
   set(eje,'nextplot','replace');
end;

