%------------------------------------------------------------------------
%|   actualizaMarcoVisual
%------------------------------------------------------------------------
%|      Script que captura todos los parmetros de la grfica superior
%-------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%-------------------------------------------------------------------------

if (exist([ruta 'out.tx']) & (~get(verSignalLab,'value'))) | ...
    (exist([ruta 'LineaI.tx']) & (get(verSignalLab,'value'))),
   set(graf(:),'Enable','On');
   if grafActivas(pSUP) & grafActivas(pINF),
      set(radioBut(:,:),'Enable','On');
      set(colores(:),'Enable','On');
      set(verFreq(:),'Enable','On');
      if get(verSignalLab,'value'),
          set(ptoObsv(:,2),'Enable','On');
      else,
          set(ptoObsv(:,1),'Enable','On');
      end;
      
      set(editTrama,'Enable','On');
      set(barraTrama,'Enable','On');
      set(editBitsTrama,'Enable','On');
   elseif grafActivas(pSUP),
      set(radioBut(pSUP,:),'Enable','On');
      set(colores(pSUP),'Enable','On');
      set(verFreq(pSUP),'Enable','On');           
      set(radioBut(pINF,:),'Enable','Off');
      set(colores(pINF),'Enable','Off');
      set(verFreq(pINF),'Enable','Off');      
      set(editTrama,'Enable','On');
      set(barraTrama,'Enable','On');
      set(editBitsTrama,'Enable','On');
      if get(verSignalLab,'value'),
          set(ptoObsv(pSUP,2),'Enable','On');
          set(ptoObsv(pINF,2),'Enable','Off');
      else,
          set(ptoObsv(pSUP,1),'Enable','On');
          set(ptoObsv(pINF,2),'Enable','Off');
      end;
   elseif grafActivas(pINF),
      set(radioBut(pINF,:),'Enable','On');
      set(colores(pINF),'Enable','On');
      set(verFreq(pINF),'Enable','On');       
      set(radioBut(pSUP,:),'Enable','Off');
      set(colores(pSUP),'Enable','Off');
      set(verFreq(pSUP),'Enable','Off');      
      set(editTrama,'Enable','On');
      set(barraTrama,'Enable','On');
      set(editBitsTrama,'Enable','On');
      if get(verSignalLab,'value'),
          set(ptoObsv(pSUP,2),'Enable','Off');
          set(ptoObsv(pINF,2),'Enable','On');
      else,
          set(ptoObsv(pSUP,1),'Enable','Off');
          set(ptoObsv(pINF,2),'Enable','On');
      end;
   else,
      set(radioBut(:,:),'Enable','Off');
      set(colores(:),'Enable','Off');
      set(verFreq(:),'Enable','Off');      
      set(editTrama,'Enable','Off');
      set(barraTrama,'Enable','Off');
      set(editBitsTrama,'Enable','Off');
      if get(verSignalLab,'value'),
          set(ptoObsv(:,2),'Enable','Off');
          set(ptoObsv(:,2),'Enable','Off');
      else,
          set(ptoObsv(:,1),'Enable','Off');
          set(ptoObsv(:,1),'Enable','Off');
      end;
      dibujaSignal(1);
   end;
else
   set(graf(:),'Enable','Off');
   set(radioBut(:,:),'Enable','Off');
   set(colores(:),'Enable','Off');
   set(verFreq(:),'Enable','Off');   
   set(editTrama,'Enable','Off');
   set(barraTrama,'Enable','Off');
   set(editBitsTrama,'Enable','Off');
   if get(verSignalLab,'value'),
          set(ptoObsv(:,2),'Enable','Off');
          set(ptoObsv(:,2),'Enable','Off');
   else,
          set(ptoObsv(:,1),'Enable','Off');
          set(ptoObsv(:,1),'Enable','Off');
    end;
end;