%------------------------------------------------------------------------
%|   creaMenus
%------------------------------------------------------------------------
%|      Script que crea los menus de la GUI del simulador BPSK
%-------------------------------------------------------------------------
%|   Autor: Cesar Delgado
%|   Fecha: 19-Abril-2.004
%-------------------------------------------------------------------------

%    1.- Variables necesarias para la creacion
%----------------------------------------------
menuFiltros = {'Filtros'       ;'Coseno Alzado'; 'Banda Base'; ...
               'Portadora (FI)'; 'Offset (DC)' ; 'Lead-Lag PLL'; ...
               'Error Fases PLL' };

menuPtos    = {'Diagrama de Bloques';'Esquema General';'Recuperacion Portadora';};       
menuConst   = {'Constelaciones'; 'Transmisor + Receptor'  ; };
menuOjos    = {'Diagramas de Ojo'; 'IQ Receptor/Compensada'  ; 'IQ Transmisor/Sin Compensar';'TX Arriba / RX Abajo'; 'TX + RX' };
menus = {menuFiltros;menuOjos;menuConst;menuPtos;};

%    2.- Creacion de menus
%-------------------------
 %  2.1.- Creamos menu a menu
for k = 1:size(menus,1),
    
    % 2.1.1.- Amacenamos todas las etiquestas del menu en AUX
    aux = menus{k};
    
    % 2.1.2.- Creamos etiqueta del menu
    menuHandle = uimenu(figura, 'Label', char(aux(1,1)));
    
    % 2.1.3.- Generamos submenus con sus correspondientes callbacks
    for m=2:size(aux,1), 
        Texto = sprintf('evento=%d; actualizaInterfaz;', contEventos);
        contEventos = contEventos+1;
        uimenu(menuHandle, 'Label', char(aux(m,1)), ...
                           'Callback',Texto);
    end;
end;


clear menus  menuFiltros menuHandle Texto menuOjos 
clear k m menuPtos menuConst